package beautiful01.validator;

import java.util.ArrayList;
import java.util.List;

import org.seasar.extension.dataset.DataRow;

public class DataRowValidator {
	List<ColumnValidator> columnValidators = new ArrayList<ColumnValidator>();
	public void addColumnValidator(ColumnValidator v) {
		columnValidators.add(v);
	}
	/** DataRow1s؂܂B */
	public String[] validate(DataRow row) {
		List<String> errors = new ArrayList<String>();
		for (ColumnValidator v : columnValidators) {
			try {
				v.validate(toString(row.getValue(v.getColumnName())));
			} catch (ValidException e) {
				errors.add(e.getMessage());
			}
		}
		return errors.toArray(new String[errors.size()]);
	}
	private String toString(Object value) {
		return value == null ? null : value.toString();
	}
}
