package beautiful02.dao.mock;

import beautiful02.dao.CategoryDao;
import beautiful02.entity.Category;

public class MockCategoryDao implements CategoryDao {

	public Category findById(Integer id) {
		System.out.println("call MockCategoryDao.findById");
		Category category = new Category();
		category.setId(id);
		category.setName("category" + id);
		return category;
	}

	public void insert(Category category) {
		System.out.println("call MockCategoryDao.insert :" + category.getName());
	}

	public void update(Category category) {
		System.out.println("call MockCategoryDao.update : " + category.getName());
	}

}
