package beautiful02.dao.mock;

import beautiful02.dao.UserDao;
import beautiful02.entity.User;

public class MockUserDao implements UserDao {

	public void deleteAll() {
		System.out.println("call UserDaoImpl.deleteAll");
	}

	public User findById(Integer id) {
		System.out.println("call UserDaoImpl.findById");
		User user = new User();
		user.setId(id);
		user.setName("user" + id);
		user.setMailAddress("mock@example.com");
		user.setType(0);
		return user;
	}

	public void insert(User user) {
		System.out.println("call UserDaoImpl.insert : " + user.getName());
	}

}
