package beautiful02.ex4.impl;

import org.seasar.extension.dataset.DataRow;
import org.seasar.extension.dataset.DataTable;

import beautiful02.dao.UserDao;
import beautiful02.entity.User;
import beautiful02.ex4.framework.AbstractImportLogic;
import beautiful02.ex4.framework.ImportResult;

/**
 * [U}X^̃C|[g
 */
public class UserImportLogicImpl extends AbstractImportLogic {
	/** [UDao */
	private UserDao userDao;
	
	/**
	 * [UDaoZbg܂B
	 * @param userDao [UDao
	 */
	public void setUserDao(UserDao userDao) {
		this.userDao = userDao;
	}

	/**
	 * C|[gOB
	 * [USč폜܂B
	 */
	@Override
	protected void doPreImportProcess(DataTable table, ImportResult result) {
		userDao.deleteAll();
	}
	
	/**
	 * 1s̃C|[g
	 * @param row 1s̓̓f[^
	 * @param index 
	 */
	@Override
	protected void doImportRow(DataRow row, int index) {
		User user = new User();
		user.setName((String)row.getValue(""));
		user.setType(Integer.parseInt((String)row.getValue("")));
		user.setMailAddress((String)row.getValue("[AhX"));
		userDao.insert(user);
	}
}