package beautiful01.validator;

import java.util.Arrays;
import java.util.LinkedHashSet;
import java.util.Set;

public class ContainsValidator implements IValidator {

	private Set<String> values = new LinkedHashSet<String>();
	
	public ContainsValidator(String... values) {
		for (String value : values) {
			this.values.add(value);
		}
	}

	public String valid(String name, String text) {
		if (text != null && values.contains(text)) {
			return null;
		} else {
			return name + "" + Arrays.toString(values.toArray()) + "݂̂œ͂ĂB";
		}
	}

}
